Subject: RE: [Isis-wg] Re: Last Call: Routing IPv6 with IS-IS to Informational

From: "Tony Li" <[email-masked]>
Date: Wed, 28 May 2003 15:55:14 -0700

There is certainly more of a struggle to make it a 'Standard', so
before anyone proposes to do it, I would suggest that we contemplate
the upside.  If any.

OSPF is and will continue to be the official standard IGP of the
IETF and trying to make IS-IS documents into standards will likely
inflame the OSPF vs. IS-IS wars again.  And tick off the ITU.

Lotsa downside...

Tony

|    -----Original Message-----
|    From: Les Ginsberg [mailto:[email-masked]] 
|    Sent: Wednesday, May 28, 2003 3:45 PM
|    To: Tony Li
|    Cc: Noguchi Kay; [email-masked]
|    Subject: RE: [Isis-wg] Re: Last Call: Routing IPv6 with 
|    IS-IS to Informational
|    
|    
|    At 03:20 PM 5/28/2003 -0700, Tony Li wrote:
|    
|    
|    >Same reason as always: we don't have change control over IS-IS and
|    >we don't want to give the impression that we do.  We might be able
|    >to get away with it for this particular draft, but 
|    frankly, it doesn't
|    >make a lot of difference one way or another...
|    
|    
|    Sooo..., what is the position of the WG on 
|    draft-zinin-ietf-jtc1-aggr-01.txt?? Under Section 3.1 the 
|    IPV6 draft 
|    certainly COULD follow the standards track. Is the WG 
|    going to make a 
|    calculated decision as to which drafts are worth following 
|    the standards 
|    track and which aren't? Are we leaving it to the discretion of the 
|    author(s)? Or are we simply saying "Thanx very much Alex, 
|    but we don't 
|    really want to do this work ever?"
|    
|        Les
|    
|    
|    >Tony
|    >
|    >
|    >|    -----Original Message-----
|    >|    From: Noguchi Kay [mailto:[email-masked]]
|    >|    Sent: Wednesday, May 28, 2003 2:50 PM
|    >|    To: [email-masked]
|    >|    Subject: [Isis-wg] Re: Last Call: Routing IPv6 with IS-IS
|    >|    to Informational
|    >|
|    >|
|    >|    Hi all,
|    >|
|    >|    Maybe I didn't follow the discussion correctly but let me
|    >|    ask you this.
|    >|
|    >|    What is the reason we make IPv6 with IS-IS draft as an
|    >|    Informational draft,
|    >|    not a Standard draft?
|    >|
|    >|    We already shipped softwares based on this draft and, at
|    >|    least, I didn't see
|    >|    any discussions about this on the mailing list.
|    >|
|    >|    Thank you,
|    >|
|    >|                                                         
|          kay
|    >|
|    >|    At Tue, 27 May 2003 18:56:23 -0400,
|    >|    The IESG wrote:
|    >|    >
|    >|    >
|    >|    > The IESG has received a request from the IS-IS for 
|    IP Internets
|    >|    > Working Group to consider Routing IPv6 with IS-IS
|    >|    > <draft-ietf-isis-ipv6-05.txt> as a Informational.
|    >|    >
|    >|    > The IESG plans to make a decision in the next few weeks,
|    >|    and solicits
|    >|    > final comments on this action.  Please send any 
|    comments to the
|    >|    > [email-masked] or [email-masked] mailing lists by 2003-6-10.
|    >|    >
|    >|    > Files can be obtained via
|    >|    > 
|    http://www.ietf.org/internet-drafts/draft-ietf-isis-ipv6-05
.txt
>|    >
>|    >
>|    >
>|    >
>|    _______________________________________________
>|    Isis-wg mailing list
>|    [email-masked]
>|    https://www1.ietf.org/mailman/listinfo/isis-wg
>|    _______________________________________________
>|    Isis-wg-external mailing list
>|    [email-masked]
>|    http://mailist.procket.com/mailman/listinfo/isis-wg-external
>|
>_______________________________________________
>Isis-wg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: "Tony Li" <[email-masked]>
Date: Wed, 28 May 2003 16:27:56 -0700

Jeff,

The market decided a long time ago that the notion of an IETF 'standard'
was pretty nebulous at best.  The market decides what of our work is
important.

The last document that the IETF needed to make a 'standard' so that
everyone
would implement it was RFC 791.  Since then, there haven't been a whole
lot
of really important RFCs.

Tony

p.s. I sure hope our real charter is to help make technical
contributions.
If our sole purpose is to write standards, then we're working too hard
and
we should write more standards for IP over letter carriers, etc.

|    -----Original Message-----
|    From: Jeff Learman [mailto:[email-masked]] 
|    Sent: Wednesday, May 28, 2003 4:02 PM
|    To: Les Ginsberg
|    Cc: Tony Li; Noguchi Kay; [email-masked]
|    Subject: RE: [Isis-wg] Re: Last Call: Routing IPv6 with 
|    IS-IS to Informational
|    
|    
|    
|    Making this an informational document makes the distinction between
|    IETF standards and informational documents meaningless.  We are
|    empowered to make standards for use on the Internet.  They may
|    involve doing things differently than specified for certain
|    underlying non-IETF standards, but that has never stopped
|    progress before and it shouldn't now.
|    
|    Regards,
|    Jeff
|    
|    At 06:45 PM 5/28/2003, Les Ginsberg wrote:
|    >At 03:20 PM 5/28/2003 -0700, Tony Li wrote:
|    >
|    >
|    >>Same reason as always: we don't have change control over 
|    IS-IS and
|    >>we don't want to give the impression that we do.  We 
|    might be able
|    >>to get away with it for this particular draft, but 
|    frankly, it doesn't
|    >>make a lot of difference one way or another...
|    >
|    >
|    >Sooo..., what is the position of the WG on 
|    draft-zinin-ietf-jtc1-aggr-01.txt?? Under Section 3.1 the 
|    IPV6 draft certainly COULD follow the standards track. Is 
|    the WG going to make a calculated decision as to which 
|    drafts are worth following the standards track and which 
|    aren't? Are we leaving it to the discretion of the 
|    author(s)? Or are we simply saying "Thanx very much Alex, 
|    but we don't really want to do this work ever?"
|    >
|    >   Les
|    >
|    >
|    >>Tony
|    >>
|    >>
|    >>|    -----Original Message-----
|    >>|    From: Noguchi Kay [mailto:[email-masked]]
|    >>|    Sent: Wednesday, May 28, 2003 2:50 PM
|    >>|    To: [email-masked]
|    >>|    Subject: [Isis-wg] Re: Last Call: Routing IPv6 with IS-IS
|    >>|    to Informational
|    >>|
|    >>|
|    >>|    Hi all,
|    >>|
|    >>|    Maybe I didn't follow the discussion correctly but let me
|    >>|    ask you this.
|    >>|
|    >>|    What is the reason we make IPv6 with IS-IS draft as an
|    >>|    Informational draft,
|    >>|    not a Standard draft?
|    >>|
|    >>|    We already shipped softwares based on this draft and, at
|    >>|    least, I didn't see
|    >>|    any discussions about this on the mailing list.
|    >>|
|    >>|    Thank you,
|    >>|
|    >>|                                                        
|           kay
|    >>|
|    >>|    At Tue, 27 May 2003 18:56:23 -0400,
|    >>|    The IESG wrote:
|    >>|    >
|    >>|    >
|    >>|    > The IESG has received a request from the IS-IS 
|    for IP Internets
|    >>|    > Working Group to consider Routing IPv6 with IS-IS
|    >>|    > <draft-ietf-isis-ipv6-05.txt> as a Informational.
|    >>|    >
|    >>|    > The IESG plans to make a decision in the next few weeks,
|    >>|    and solicits
|    >>|    > final comments on this action.  Please send any 
|    comments to the
|    >>|    > [email-masked] or [email-masked] mailing lists by 2003-6-10.
|    >>|    >
|    >>|    > Files can be obtained via
|    >>|    > 
|    http://www.ietf.org/internet-drafts/draft-ietf-isis-ipv6-05
.txt

---

From: Les Ginsberg <[email-masked]>
Date: Wed, 28 May 2003 16:59:50 -0700

>inflame the OSPF vs. IS-IS wars again.  And tick off the ITU.

Well, I thought that one of the significant motivations for Alex's draft 
was the fact that the ITU wanted to use IETF IS-IS extensions, but needed 
them to be standards track documents in order to do so. So I don't see why 
the ITU would be ticked off. Rather I would expect the ITU would be 
disappointed that the WG has decided not to standards track extensions that 
have uses in the ITU world. This means that in order to use the extensions 
they will have to create their own versions of the extensions (as they 
already have done with 3-way) and we will have to hope that they are 
compatible and remain so.

As for the OSPF folks, I don't see why they would care. We are not 
marketing the protocol - we are just responding to the needs of the user 
community and trying to provide interoperability.

    Les

---

From: Jonathan Sadler <[email-masked]>
Date: Thu, 29 May 2003 11:37:36 -0500

> inflame the OSPF vs. IS-IS wars again.  And tick off the ITU.

I assume you mean "tick off  JTC1 (ISO/IEC)".  The ITU is not involved in
the specification of IS-IS.

However, since the ITU is a "user" of IS-IS, it is more likely to become
"ticked off" if the IS-IS work in the IETF continues to be done as
Informational RFCs.  This is comes from the fact that Informational RFCs,
according to the IETF, are not standards.  This results in the ITU not being
able to use them as normative references in an ITU standard.

The result is the ITU may need to include a "paraphrased" version (due to
RFC copyright restrictions) of the IETF Informational RFC in an ITU
standard. An example where this has already taken place can be found in
G.7712, where RFC 2966 is paraphrased.  Unfortunately, such parapharsing can
lead to (hopefully unintentionally) different "specifications" for how an
extension is done.

Consequently, there is benefit to the ITU by this document being on the
"standrads track".

Jonathan Sadler

> |    http://www.ietf.org/internet-drafts/draft-ietf-isis-ipv6-05

============================================================
The information contained in this message may be privileged 
and confidential and protected from disclosure.  If the 
reader of this message is not the intended recipient, or an 
employee or agent responsible for delivering this message to 
the intended recipient, you are hereby notified that any 
reproduction, dissemination or distribution of this 
communication is strictly prohibited. If you have received 
this communication in error, please notify us immediately by 
replying to the message and deleting it from your computer.

Thank you.
Tellabs
============================================================
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg